## org.xmldb.api.modules
Interface XUpdateQueryService

All Superinterfaces:
  Configurable, Service

All Known Implementing Classes:
  LocalXUpdateQueryService, RemoteXUpdateQueryService

public interface XUpdateQueryService
extends Service

XUpdateQueryService is a `Service` that enables the execution of XUpdate queries within the context of a `Collection` or against a single document stored in a collection.

Field Summary
`static java.lang.String` `SERVICE_NAME`

Method Summary
`long` `update(java.lang.String commands)` Runs a set of XUpdate operations against the collection.
`long` `updateResource(java.lang.String id, java.lang.String commands)` Runs a set of XUpdate operations against a resource stored in a collection.

Methods inherited from interface org.xmldb.api.base.Service
`getName, getVersion, setCollection`

Methods inherited from interface org.xmldb.api.base.Configurable
`getProperty, setProperty`

Field Detail

### SERVICE_NAME

    public static final java.lang.String SERVICE_NAME

See Also:
  Constant Field Values

Method Detail

### update

    public long update(java.lang.String commands)
                throws XMLDBException

  Runs a set of XUpdate operations against the collection. All selected documents are to be updated and stored back to the repository.

  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### updateResource

    public long updateResource(java.lang.String id,
                               java.lang.String commands)
                        throws XMLDBException

  Runs a set of XUpdate operations against a resource stored in a collection. The resource will be updated in place in the collection.

  Parameters:
    `commands` - The XUpdate commands to use.
  Returns:
    the number of modified nodes.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

Copyright (C) Wolfgang Meier. All rights reserved.